@echo -off
SET PROJECT B429AR26.BIN

IF %1 == "" THEN
		GOTO BIOS
ELSE
	IF %1 == ME THEN
			GOTO TXE
	ENDIF

	IF %1 == me THEN
			GOTO TXE
	ENDIF
ENDIF

GOTO FAILED

:BIOS
echo "*******************************************************************************"
echo "|                                   Notice!!                                  |"
echo "                       Start update BIOS without TXE Firmware                  "
echo "|                                                                             |"
echo "*******************************************************************************"
	afuefix64 %PROJECT% /p /n /x /r01 
echo "*******************************************************************************"
echo "|                                   Notice!!                                  |"
echo "                  Updated BIOS Compeleted,Pleased restart system               "
echo "|                                                                             |"
echo "*******************************************************************************"
GOTO END

:TXE
echo "*******************************************************************************"
echo "|                                   Notice!!                                  |"
echo "                       Start update BIOS with TXE Firmware                     "
echo "|                                                                             |"
echo "*******************************************************************************"
pause
echo "*********************************** Notice!! **********************************"
echo "        The new BIOS supports Intel Chipset TPM (Intel PTT) by default!!       "
echo "                                                                               "
echo "                       If you want to use TPM Module,                          "
echo "          you can press [DEL] or [F2] to enter BIOS setup during boot          "
echo "         and enter Advanced  / PTT Configuration                               "
echo "                    set TPM Device Selection to dTPM                           "
echo "*******************************************************************************"
echo "                                                                               "
pause
        UM1.efi
	fpt -f %PROJECT% -y
echo "*******************************************************************************"
echo "|        If Errors occured,Please check the cause of error and correct it     |"
echo "         If NO Errors occured,Please remove Power wait for some seconds,       "                                                                          "
echo "         Then Resume Power for system.                                         "
echo "|                                                                             |"
echo "*******************************************************************************"
GOTO END

:FAILED
echo "*******************************************************************************"
echo "|                                   Failed!!                                  |"
echo "                       Please type command: "go" or "go me"                    "
echo "|                                                                             |"
echo "*******************************************************************************"

:END